Subject: bug#72814: 31.0.50; Add a variable controlling doxygen support in C/C++/Java?

From: Vincenzo Pupillo <[email-masked]>
Date: Tue, 27 Aug 2024 09:36:51 +0200

Sorry Yuan, the spam filter is aggressive on my work email and I didn't see your email. In early versions of php-ts-mode there were two variables to disable parser injection for html and phpdoc. When, thanks in part to your help, I was able to get indentation and font locking to work properly, I preferred to remove them because they seemed unnecessary.
c-ts-mode has font locking for comments itself, so it is fine to introduce this variable from my point of view.

Vincenzo 

Il 27 agosto 2024 05:13:52 CEST, Yuan Fu <[email-masked]> ha scritto:
>
>Yuan Fu <[email-masked]> writes:
>
>> X-Debbugs-CC: [email-masked] <mailto:[email-masked]>,
>> [email-masked]
>>
>> Should we add a custom option that controls whether to enable doxygen
>> support in c-ts-mode/c++-ts-mode/java-ts-mode?
>>
>> Technically this isn’t a problem, since the doxygen support is only
>> enabled if there’s doxygen grammar on the system. But many people
>> (me) might install a grammar bundle that includes dozens of
>> grammars for convenience. Then the doxygen support would turn on when
>> the user doesn’t really intend to use it.
>>
>> I propose we add custom options like c-ts-mode-enable-doxygen and set it
>> to t by default, so the default behavior is still to enable doxygen
>> support when the grammar for it exists, but people who don’t want to pay
>> for it can turn it off by setting the option to nil.
>>
>> Yuan
>
>Eli, WDYT?
>
>
>